Package wx :: Class PyBitmapDataObject

[frames | no frames]

## Type PyBitmapDataObject

      object --+
               |
      DataObject --+
                   |
    DataObjectSimple --+
                       |
        BitmapDataObject --+
                           |
                          PyBitmapDataObject

wx.PyBitmapDataObject is a version of `wx.BitmapDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class. To be able to provide bitmap data on demand derive from this class and overload `GetBitmap`.

Method Summary
PyBitmapDataObject | ``__init__`(self, bitmap)` wx.PyBitmapDataObject is a version of `wx.BitmapDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class.

Property Summary
| `thisown`: The membership flag

Class Variable Summary

Method Details

### __init__(self, bitmap=wxNullBitmap)
(Constructor)

wx.PyBitmapDataObject is a version of `wx.BitmapDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class. To be able to provide bitmap data on demand derive from this class and overload `GetBitmap`.

  Parameters:
    `bitmap`
    (type=Bitmap)

  Returns:
    PyBitmapDataObject
  Overrides:
    `wx.BitmapDataObject.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:02 2007 | http://epydoc.sf.net